## Risky Artifacts
Adds 5 artifacts to ruin your run with.

- **Artifact of Origination**
	- Bosses invade the map every 10 minutes.
	- Invaders gain +50% movement speed, attack speed, and damage, as well as -40% cooldown reduction.
	- Invaders drop items when killed, with a chance to drop Pearls.
	- 1 boss spawns for each player.
	- Config allows for Classic Origin, where only Imp Overlords spawn.
	
*Feedback on this would be greatly appreciated! Trying to figure out what bosses should be enabled/disabled with this (removed Beetle Queens and Worms already), or if the stat boosts need any adjustments. Once I'm more confident in the balance, I'll add a lot more config options.*

- **Artifact of Arrogance**
	- Mountain Shrines are permanent.
	
- **Artifact of Expansion**
	- Teleporter radius is mapwide, but takes longer to charge and prices are increased by 30%.
	- Doubles Moon/Void field holdout radius but increases their charge time.
	- Disables Focused Convergence while active.

- **Artifact of Conformity**
	- Prevents scrappers and printers from spawning.
	
- **Artifact of Warfare**
	- Boosts monster movement speed, attack speed, and projectile speed by 50%.
	
	
## For Mod Devs
If you are making a custom boss and want to add it to the Artifact of Origination spawn pool, add a softdependency to com.Moffein.RiskyArtifacts then do:
`Risky_Artifacts.Artifacts.Origin.AddSpawnCard(Spawncard, BossTier);`
Boss Tier affects when the boss can spawn.
Stage 1-2: 100% chance T1
Stage 3-4: 30% chance T1, 50% chance T2
Stage 5+: 25% chance T1, 65% chance T2, 10% chance T3

T1: Beetle Queen (disabled), Titan, Vagrant, Dunestrider
T2: Imp Overlord, Magma Worm (disabled), Solus Control Unit, Grovetender
T3: Grandparent

## Icon Credits
Warfare - MinHui12g
Conformity, Arrogance, Expansion, Origin - KoobyKarasu

## Installation

Place Risky_Artifacts.dll in /Risk of Rain 2/BepInEx/plugins/

## Changelog

`1.0.0`

- Release